Subject: bug#52721: closed (Re: [bug#52721] [PATCH] gnu: python-pydata-sphinx-theme: Fix build.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Dec 2021 20:04:02 +0000

Your bug report

#52721: [PATCH] gnu: python-pydata-sphinx-theme: Fix build.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52721: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52721
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52721] [PATCH] gnu: python-pydata-sphinx-theme: Fix build.
From: Efraim Flashner <[email-masked]>
To: Aleksandr Vityazev <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Sat, 25 Dec 2021 22:02:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Dec 23, 2021 at 10:54:27PM +0000, Aleksandr Vityazev wrote:
> Hi,
> 
> On 2021-12-22, 18:25 +0000, Maxime Devos <[email-masked]> wrote:
> 
> >> For version 0.6.3 there is a file
> >> pydata-sphinx-theme-0.6.3/docs/requirements.txt where the last line
> >> contains:
> >> 
> >> docutils==0.16 # temporary pin (0.17 broken captions).
> >> 
> >> Also, the master version requires "docutils!=0.17.0.
> >> 
> >> So I created a patch that adds an extra phase.
> >
> > In that case, docutil<0.17 appears to be actually required, so the
> > solution would be to use docutils=0.15 as you did originally, I think?
> > Preferably with a comment ; captions are broken in 0.17..
> >
> 
> These were pushed by Efraim Flashner with
> 8efa775653f78dad8b254e719677e663be8f3240.
> 

Sorry, I didn't check for patches before working on this patch.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] gnu: python-pydata-sphinx-theme: Fix build.
From: Aleksandr Vityazev <[email-masked]>
To: [email-masked]
Date: Tue, 21 Dec 2021 22:34:14 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

the build fails because a package is required python-docutils < 0.17.

--8<---------------cut here---------------start------------->8---
ERROR: Could not find a version that satisfies the requirement docutils<0.17 (from versions: none)
ERROR: No matching distribution found for docutils<0.17
error: Command '['/gnu/store/3282r97il61j9jkv2aaifa3nwdylzfsv-python-wrapper-3.9.6/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/guix-build-python-pydata-sphinx-theme-0.6.3.drv-0/tmpqhg_sgru', '--quiet', 'docutils<0.17']' returned non-zero exit status 1.
--8<---------------cut here---------------end--------------->8---

* gnu/packages/sphinx (python-pydata-sphinx-theme):
[native-inputs]: Replace python-docutils with python-docutils-0.15.
---
 gnu/packages/sphinx.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/sphinx.scm b/gnu/packages/sphinx.scm
index 3ac5b5e22c..957c4dc9c4 100644
--- a/gnu/packages/sphinx.scm
+++ b/gnu/packages/sphinx.scm
@@ -18,6 +18,7 @@
 ;;; Copyright © 2021 Vinicius Monego <[email-masked]>
 ;;; Copyright © 2021 Hugo Lecomte <[email-masked]>
 ;;; Copyright © 2021 Maxim Cournoyer <[email-masked]>
+;;; Copyright © 2021 Aleksandr Vityazev <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -919,7 +920,7 @@ (define-public python-pydata-sphinx-theme
      (list python-beautifulsoup4))
     (native-inputs
      (list python-beautifulsoup4
-           python-docutils
+           python-docutils-0.15
            python-jupyter-sphinx
            python-numpy
            python-numpydoc
-- 
2.34.0

-- 

Aleksandr Vityazev